Bug 1312105 - [abrt] Thunar: thunar_file_is_directory(): thunar killed by SIGSEGV
[abrt] Thunar: thunar_file_is_directory(): thunar killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5db185c0cf6babdbb98d444d0bf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 13:12 EST by Айфф
Modified: 2016-12-20 14:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:01:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.27 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: core_backtrace (6.87 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: dso_list (11.20 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: environ (1.74 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: maps (54.19 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: mountinfo (3.82 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: open_fds (2.32 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-25 13:12 EST, Айфф
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2016-02-25 13:12 EST, Айфф
no flags Details

  None (edit)
Description Айфф 2016-02-25 13:12:25 EST
Description of problem:
Worked with an external hard drive connected via USB 2.0.

Version-Release number of selected component:
Thunar-1.6.10-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/Thunar
crash_function: thunar_file_is_directory
executable:     /usr/bin/thunar
global_pid:     10162
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 thunar_file_is_directory at thunar-file.c:2673
 #1 thunar_list_model_cmp_func at thunar-list-model.c:1040
 #2 node_find_closest at gsequence.c:1753
 #3 node_insert_sorted at gsequence.c:1991
 #4 g_sequence_insert_sorted_iter at gsequence.c:1020
 #5 g_sequence_insert_sorted at gsequence.c:713
 #6 thunar_list_model_files_added at thunar-list-model.c:1261
 #11 thunar_folder_finished at thunar-folder.c:546
 #16 exo_job_finished at exo-job.c:442
 #17 exo_job_async_ready at exo-job.c:281

Potential duplicate: bug 891310
Comment 1 Айфф 2016-02-25 13:12:31 EST
Created attachment 1130612 [details]
File: backtrace
Comment 2 Айфф 2016-02-25 13:12:33 EST
Created attachment 1130613 [details]
File: cgroup
Comment 3 Айфф 2016-02-25 13:12:34 EST
Created attachment 1130614 [details]
File: core_backtrace
Comment 4 Айфф 2016-02-25 13:12:36 EST
Created attachment 1130615 [details]
File: dso_list
Comment 5 Айфф 2016-02-25 13:12:38 EST
Created attachment 1130616 [details]
File: environ
Comment 6 Айфф 2016-02-25 13:12:39 EST
Created attachment 1130617 [details]
File: limits
Comment 7 Айфф 2016-02-25 13:12:42 EST
Created attachment 1130618 [details]
File: maps
Comment 8 Айфф 2016-02-25 13:12:43 EST
Created attachment 1130619 [details]
File: mountinfo
Comment 9 Айфф 2016-02-25 13:12:45 EST
Created attachment 1130620 [details]
File: namespaces
Comment 10 Айфф 2016-02-25 13:12:46 EST
Created attachment 1130621 [details]
File: open_fds
Comment 11 Айфф 2016-02-25 13:12:49 EST
Created attachment 1130622 [details]
File: proc_pid_status
Comment 12 Айфф 2016-02-25 13:12:50 EST
Created attachment 1130623 [details]
File: var_log_messages
Comment 13 Айфф 2016-02-25 13:12:52 EST
Created attachment 1130624 [details]
File: exploitable
Comment 14 Kevin Fenzi 2016-02-25 17:41:11 EST
What were you doing when this happened?

Can you duplicate the crash?
Comment 15 Айфф 2016-02-26 10:37:32 EST
I do not remember. No.
Comment 16 raynaud 2016-03-08 15:29:21 EST
Similar problem has been detected:

Fresh install of Fedora.
The error happened during the synchronisation of Onedrive-d on my computer.
Thunar still works and the sync is OK.
I don't know what happened.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        Thunar
crash_function: thunar_file_is_directory
executable:     /usr/bin/thunar
global_pid:     4134
kernel:         4.4.3-300.fc23.x86_64
package:        Thunar-1.6.10-2.fc23
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 jamie 2016-03-14 17:04:33 EDT
Similar problem has been detected:

I'm not sure but I did have a bunch of thunars open and copied stuff from one to the other. One of them crashed in the background. 

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/Thunar file:///home/owner/Downloads/.
crash_function: thunar_file_is_directory
executable:     /usr/bin/thunar
global_pid:     23707
kernel:         4.4.4-301.fc23.x86_64
package:        Thunar-1.6.10-2.fc23
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora End Of Life 2016-11-24 10:46:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 14:01:54 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.